import json

total_sents = 0
total_rels = 0

with open('WN_typed_triples_tacl.json', 'r', encoding='utf8') as fp:
	for line in fp:
		if total_sents % 100000 == 0:
			print(f"Total sents: {total_sents}; total rels: {total_rels}")
		item = json.loads(line)
		total_sents += 1
		total_rels += len(item["rels"])

print(f"Total sents: {total_sents}; total rels: {total_rels}")